///////////////////////////////////////////////////////////////////////////////
// Tyler Perkins
// 29-03-22
// Button configuration
//

#ifndef _CONFIG_H_
#define _CONFIG_H_

// Button configuration
// Fill in with appropriate address and command
///////////////////////////////////////
// Per Rev 1.0, the button layout is as follows on the provided PCB
// [10][  ][  ]
// [07][08][09]
// [04][05][06]
// [01][02][03]
//
// BUTTON**_PIN is based on the hardware configutation, and is currently set to
// the latest hardware iteration, rev 1.1
//
// BUTTON**_ADDR and BUTTON**_CMD are the NEC address and command respctivly.
// They are used by the IRsend library. You will need to edit remote.ino if
// your remote is not using NEC, however NEC is the very common
//
// NOTE: It is planned to make button 10 switch through several "virtual"
// buttons, however this is a planned feature and not implemented

///////////////////////////////////////
// BUTTON 01
// Prev song
#define BUTTON01_PIN  10
#define BUTTON01_ADDR 0x7080
#define BUTTON01_CMD  0xAE

///////////////////////////////////////
// BUTTON 02
// Next song
#define BUTTON02_PIN  11
#define BUTTON02_ADDR 0x7080
#define BUTTON02_CMD  0xAF

///////////////////////////////////////
// BUTTON 03
// Mute
#define BUTTON03_PIN  12
#define BUTTON03_ADDR 0x7080
#define BUTTON03_CMD  0xB9

///////////////////////////////////////
// BUTTON 04
// AUX input
#define BUTTON04_PIN  13
#define BUTTON04_ADDR 0x7080
#define BUTTON04_CMD  0xB4

///////////////////////////////////////
// BUTTON 05
// Bluetooth input
#define BUTTON05_PIN  7
#define BUTTON05_ADDR 0x7080
#define BUTTON05_CMD  0xBA

///////////////////////////////////////
// BUTTON 06
// RCA input
#define BUTTON06_PIN  6
#define BUTTON06_ADDR 0x7080
#define BUTTON06_CMD  0xF9

///////////////////////////////////////
// BUTTON 07
// VOL-
#define BUTTON07_PIN  5
#define BUTTON07_ADDR 0x7080
#define BUTTON07_CMD  0xC8

///////////////////////////////////////
// BUTTON 08
// 2.1/5.1 Toggle
#define BUTTON08_PIN  4
#define BUTTON08_ADDR 0x7080
#define BUTTON08_CMD  0xEC

///////////////////////////////////////
// BUTTON 09
// VOL+
#define BUTTON09_PIN  9
#define BUTTON09_ADDR 0x7080
#define BUTTON09_CMD  0xC7

///////////////////////////////////////
// BUTTON 10
// Power button
#define BUTTON10_PIN  8
#define BUTTON10_ADDR 0x7484
#define BUTTON10_CMD  0xFF

#endif //!_CONFIG_H_
