///////////////////////////////////////////////////////////////////////////////
// Tyler Perkins
// 2-1-22
// Remote Entry point
//

#include <IRremote.h>
#include "LowPower.h"

#include "config.h"

// IR library
IRsend irsend;

void setup() {
    //set input pins
    //interrupt
    pinMode(2, INPUT);

    pinMode(3, OUTPUT);
    irsend.begin(3);

    //buttons
    pinMode(BUTTON01_PIN, INPUT);
    pinMode(BUTTON02_PIN, INPUT);
    pinMode(BUTTON03_PIN, INPUT);
    pinMode(BUTTON04_PIN, INPUT);
    pinMode(BUTTON05_PIN, INPUT);
    pinMode(BUTTON06_PIN, INPUT);
    pinMode(BUTTON07_PIN, INPUT);
    pinMode(BUTTON08_PIN, INPUT);
    pinMode(BUTTON09_PIN, INPUT);
    pinMode(BUTTON10_PIN, INPUT);

    attachInterrupt(digitalPinToInterrupt(2),readInput, RISING);
}

void loop() {
    //LowPower.powerDown(SLEEP_FOREVER, ADC_OFF, BOD_OFF);

    detachInterrupt(digitalPinToInterrupt(2));

    attachInterrupt(digitalPinToInterrupt(2),readInput, RISING);
}

void readInput(){
    if(digitalRead(BUTTON01_PIN) == HIGH){
        irsend.sendNEC(BUTTON01_ADDR, BUTTON01_CMD, 3);
    } else if(digitalRead(BUTTON02_PIN) == HIGH){
        irsend.sendNEC(BUTTON02_ADDR, BUTTON02_CMD, 3);
    } else if(digitalRead(BUTTON03_PIN) == HIGH){
        irsend.sendNEC(BUTTON03_ADDR, BUTTON03_CMD, 3);
    } else if(digitalRead(BUTTON04_PIN) == HIGH){
        irsend.sendNEC(BUTTON04_ADDR, BUTTON04_CMD, 3);
    } else if(digitalRead(BUTTON05_PIN) == HIGH){
        irsend.sendNEC(BUTTON05_ADDR, BUTTON05_CMD, 3);
    } else if(digitalRead(BUTTON06_PIN) == HIGH){
        irsend.sendNEC(BUTTON06_ADDR, BUTTON06_CMD, 3);
    } else if(digitalRead(BUTTON07_PIN) == HIGH){
        irsend.sendNEC(BUTTON07_ADDR, BUTTON07_CMD, 3);
    } else if(digitalRead(BUTTON08_PIN) == HIGH){
        irsend.sendNEC(BUTTON08_ADDR, BUTTON08_CMD, 3);
    } else if(digitalRead(9) == HIGH){
        irsend.sendNEC(0x7080, 0xC7, 3);
    } else if(digitalRead(BUTTON10_PIN) == HIGH){
        irsend.sendNEC(BUTTON10_ADDR, BUTTON10_CMD, 10);
    }

    delay(25);
}
